Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.ulc.ui.dataTypes
Class UIRangeValidator

    java.lang.Object
      |
      +--com.ibm.ulc.util.UlcObject
            |
            +--com.ibm.ulc.ui.UIProxy
                  |
                  +--com.ibm.ulc.ui.dataTypes.UIDataType
                        |
                        +--com.ibm.ulc.ui.dataTypes.UIRangeValidator

public class UIRangeValidator
extends UIDataType

See Also:
  Serialized Form

Field Summary
`protected boolean` | `fIntValue` The boolean when true converts the returned value to an integer.
`protected double` | `fMax` The maximum value allowed for this Validator.
`protected double` | `fMin` The minimum value allowed for this Validator.
`protected static java.lang.String` | `validChars` Allowed input characters

Fields inherited from class com.ibm.ulc.ui.UIProxy
`fConnection, fId`

Constructor Summary
`UIRangeValidator()`

Method Summary
`java.lang.Object` | `convertToObject(int phase, java.lang.String newString, java.lang.Object previousValue)` Check if the input string conforms to the range specified.
`java.lang.String` | `convertToString(java.lang.Object object, boolean forEditing)` Return the String represenation of the object or the empty string if object is null.
`java.lang.String` | `filterInput(java.lang.String newString)` The default implementation returns original string without modification.
`boolean` | `hasValidCharacters(java.lang.String s)` Ensure that the given string has no invalid characters.
`java.lang.Double` | `parse(java.lang.String s)`
`void` | `restoreState(ORBConnection conn, Anything args)` This method is the first method called after this widget is instantiated.

Methods inherited from class com.ibm.ulc.ui.dataTypes.UIDataType
`filterInput, getCols, getDefaultValue`

Methods inherited from class com.ibm.ulc.ui.UIProxy
`add, add, addInstance, addMany, convert, convert, finalize, find, free, getManaged, handleRequest, isOptionalEventEnabled, printInstances, remove, remove, removeInstance, removeMany, sendEventULC, sendEventULC, sendEventULC, sendOptionalEventULC, sendOptionalEventULC, sendOptionalEventULC, sendULC, sendULC, setOptionalEventsEnabled, trouble`

Methods inherited from class com.ibm.ulc.util.UlcObject
`trouble2, trouble2Err, troubleErr`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fMin

    protected double fMin

  The minimum value allowed for this Validator. Default is 0.0

### fMax

    protected double fMax

  The maximum value allowed for this Validator. Default is 100.0

### fIntValue

    protected boolean fIntValue

  The boolean when true converts the returned value to an integer. Default is false.

### validChars

    protected static java.lang.String validChars

  Allowed input characters

Constructor Detail

### UIRangeValidator

    public UIRangeValidator()

Method Detail

### convertToObject

    public java.lang.Object convertToObject(int phase,
                                            java.lang.String newString,
                                            java.lang.Object previousValue)
                                     throws DataTypeConversionException

  Check if the input string conforms to the range specified. Throw an exception on error.
  Parameters:
    `phase` - int The current validation phase. The phase can be one of the following:

        	FORM_NOTIFICATION_IMMEADIATE : Typically no validation is performed in this case the input string is returned as is.
        	FORM_NOTIFICATION_ON_FOCUS_CHANGE
         	FORM_NOTIFICATION_ON_REQUEST

    `newString` - The String to convert.
  Returns:
    An object representing the converted String or null.
  Overrides:
    convertToObject in class UIDataType
  See Also:
    `IDataType.convertToObject(int, String, Object)`

### convertToString

    public java.lang.String convertToString(java.lang.Object object,
                                            boolean forEditing)

  Return the String represenation of the object or the empty string if object is null. The default implementation calls the toString() to return a string representation of the object. Subclasses should override this method to return the formatted data type as a String.
  Overrides:
    convertToString in class UIDataType
  See Also:
    `IDataType.convertToString(Object, boolean)`

### filterInput

    public java.lang.String filterInput(java.lang.String newString)

  The default implementation returns original string without modification.
  Overrides:
    filterInput in class UIDataType
  See Also:
    `IDataType.filterInput(String)`

### hasValidCharacters

    public boolean hasValidCharacters(java.lang.String s)

  Ensure that the given string has no invalid characters.
  See Also:
    `IDataType.filterInput(String)`

### parse

    public java.lang.Double parse(java.lang.String s)

### restoreState

    public void restoreState(ORBConnection conn,
                             Anything args)

  This method is the first method called after this widget is instantiated. All widget specific initialization must take place in this method. All the parameters necessary to initialize this widget are specified in the arguments. Subclasses implementing this method must call the superclass implementation as well.
  Parameters:
    `conn` - the `UlcConnection` in which this operation is performed
    `args` - the `Anything` containing the optional initialization parameters
  Overrides:
    restoreState in class com.ibm.ulc.ui.UIProxy

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD